/*********************************************************************
 *  SPDX-License-Identifier: MIT									 *
 *  Copyright (C) 2019-2020 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of qublc.                                      *
 *********************************************************************/

#include <iostream>
using namespace std;

#include <QApplication>

#include "qublc.h"

int main (int argc, char *argv[])
{
	QApplication app (argc, argv);

	if (argc > 1) {
		cout << "\n###  qublc - Qt6 based Unbound Block List Creator\n"
		        "###  Manage sites to be blocked by unbound\n"
				"###  and create a conf file for unbound from it.\n"
				"###  \n"
				"###  Based on Qt6, qublc is a GUI program and requires X11 or wayland.\n"
				"###  On desktops following the freedesktop.org standard qublc should have a menu entry under 'Network'.\n"
				"###  Else start the program in a console/terminal without any options: qublc\n"
				"###  \n"
		        "###  Version 2.0.0\n"
		        "###  Copyright (C) 2019-2024 by Helge Kortendieck, alan@kasmithee.de .\n"
		        "###  Released under the MIT license. Except of it's icons!\n"
		        "###  See the GUI online help or the end of the abouthelp.cpp source file for the icon licenses.\n" << endl;
		return 0;
	}

	Qublc qub;
	qub.show();
	return app.exec();
}

